org.appng.xml

## Class BeanOptionsGenerator

- java.lang.Object
- - org.appng.xml.BeanOptionsGenerator

-     public class BeanOptionsGenerator
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BeanOptionsGenerator()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `collectBean(Map<String,Map<String,Set<String>>> optionPerBean, Bean bean)`
    `Map<String,Map<String,Set<String>>>` | `collectBeanOptions(Map<String,Map<String,Set<String>>> optionPerBean, File folder)`
    `void` | `create()`
    `static void` | `main(String[] args)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BeanOptionsGenerator

          public BeanOptionsGenerator()

  - ### Method Detail

    - #### main

          public static void main(String[] args)
                           throws IOException,
                                  JAXBException

      Parameters:
        `args` - args[0] - the sourcefolder to search for XML files containing actions and datasources
        args[1] - the packageName to use
        args[2] - the output-folder for the generated classes
      Throws:
        `IOException` - if the file can not be found or the target class can not be written
        `JAXBException` - if a file can not unmarshalled

    - #### create

          public void create()
                      throws JAXBException,
                             IOException

      Throws:
        `JAXBException`
        `IOException`

    - #### collectBeanOptions

          public Map<String,Map<String,Set<String>>> collectBeanOptions(Map<String,Map<String,Set<String>>> optionPerBean,
                                                                        File folder)
                                                                 throws JAXBException

      Throws:
        `JAXBException`

    - #### collectBean

          public void collectBean(Map<String,Map<String,Set<String>>> optionPerBean,
                                  Bean bean)

Copyright © 2011–2023 aiticon GmbH. All rights reserved.